uniform sampler2D textureMap0;
uniform sampler2D textureMap1;
uniform sampler2D textureMap2;

uniform highp vec3 uColor1;
uniform highp vec3 uColor2;
uniform highp vec3 uColor3;
uniform highp vec4 uColor;

varying highp vec2 vTexCoord;
varying highp vec3 vLightVec;
varying highp vec3 vHalfVec;

void main()
{
	highp vec4 base = texture2D(textureMap0, vTexCoord.xy);
	highp vec3 bump = texture2D(textureMap1, vTexCoord.xy).rgb * 2.0 - 1.0;
	highp vec4 sa = texture2D(textureMap2, vTexCoord.xy);
		
	bump.g = -bump.g;

	highp float nDotL = max(dot(bump * 1.0, vLightVec), 0.0);

	highp float nDotH = max(dot(bump * 1.0, vHalfVec), 0.0);
	highp float specPower = pow(nDotH, 15.0);
	
	gl_FragColor.rgb = uColor1 * sa.r + uColor2 * sa.g + uColor3 * sa.b + base.rgb * 0.3 + base.rgb * nDotL + specPower * sa.a;
	gl_FragColor.a = base.a;
	gl_FragColor.rgba = gl_FragColor.rgba * uColor;
}
