uniform sampler2D textureMap0;
uniform highp vec4 uAmbientColor;

varying highp vec3 vLightVec;
varying highp vec3 vNormal;
varying highp vec2 vTexCoord;


void main()
{
	highp vec4 tex0 = texture2D(textureMap0, vTexCoord.xy);
		
	highp float nDotL = max(dot(vNormal, vLightVec), 0.0);
		
	gl_FragColor.rgb = tex0.rgb * uAmbientColor.rgb + (tex0.rgb) * vec3(0.7,0.7,0.7) * nDotL;
	gl_FragColor.a = tex0.a;
}
