uniform highp mat4 uModelViewMatrix;
uniform highp mat3 uNormalMatrix;
uniform highp mat4 uObjectMatrix;
uniform highp vec3 uLightPos;

attribute highp vec3 position;
attribute highp vec3 normal;
attribute highp vec2 texCoord;

varying highp vec2 vTexCoord;
varying highp vec3 vLightVec;
varying highp vec3 vNormal;

void main()
{
	gl_Position = uModelViewMatrix * vec4(position, 1.0);

	highp vec4 vertex = uObjectMatrix * vec4(position, 1.0);
	vLightVec = normalize(uLightPos - vertex.xyz);

	vNormal = uNormalMatrix * normal;
	
	vTexCoord = texCoord;
}