uniform sampler2D textureMap0;
uniform sampler2D textureMap1;
uniform highp vec2 uTexCoordShift;
uniform highp vec4 uAmbientColor;

varying highp vec3 vLightVec;
varying highp vec3 vNormal;
varying highp vec2 vTexCoord;

void main()
{
	highp vec4 tex0 = texture2D(textureMap0, vTexCoord.xy);
	highp vec4 tex1 = texture2D(textureMap1, vTexCoord.xy+uTexCoordShift);
		
	highp float nDotL = max(dot(vNormal, vLightVec), 0.0);
	
	//highp float c = (tex1.r + tex1.g + tex1.b) / 3.0;
		
	gl_FragColor.rgb = tex0.rgb * uAmbientColor.rgb + tex0.rgb * vec3(0.7,0.7,0.7) * nDotL + (tex1.rgb * tex1.a) * nDotL;
	//gl_FragColor.rgb = vec3(tex1.a);
	gl_FragColor.a = tex0.a;
}
