uniform highp mat4 uModelViewMatrix;
uniform highp vec4 uClipPlane[2];

attribute highp vec3 position;
attribute highp vec2 texCoord;

varying highp vec2 vTexCoord;
varying highp float vClipDistance[2];

void main()
{
	gl_Position = uModelViewMatrix * vec4(position, 1.0);
	vTexCoord = texCoord;
	for (int i = 0; i < 2; i++)
		vClipDistance[i] = dot(position.xyz, uClipPlane[i].xyz) + uClipPlane[i].w;
}