uniform sampler2D textureMap0;
uniform sampler2D textureMap1;
uniform sampler2D textureMap2;

uniform highp vec4 uColor;

varying highp vec2 vTexCoord;
varying highp vec3 vLightVec;
varying highp vec3 vHalfVec;

void main()
{
	highp vec4 base = texture2D(textureMap0, vTexCoord.xy);
	highp vec3 bump = texture2D(textureMap1, vTexCoord.xy).rgb * 2.0 - 1.0;
	highp float spec = texture2D(textureMap2, vTexCoord.xy).r;

	bump.g = -bump.g;
		
	highp float nDotL = max(dot(bump * 1.0, vLightVec), 0.0);

	highp float nDotH = max(dot(bump * 1.0, vHalfVec), 0.0);
	highp float specPower = pow(nDotH, 15.0);
	
	//mediump vec3 lightColor = vec3(0.9, 0.9, 0.9);
	//base.rgb = base.rgb * 0.7 + vec3((base.r + base.g + base.b) / 3.0) * 0.3;
	//highp vec3 color = lightColor * (base.rgb * nDotL + specPower * spec);
	
	gl_FragColor.rgb = base.rgb * 0.3 + base.rgb * nDotL + specPower * spec;
	gl_FragColor.a = base.a;
	gl_FragColor *= uColor;
}
