uniform highp vec4 color;
uniform sampler2D texMap0;
uniform sampler2D textureMap1;
uniform highp vec2 uTexCoordShift;

varying highp vec2 vTexCoord;

void main()
{
	highp vec4 tex0 = texture2D(texMap0, vTexCoord.xy);		
	highp vec4 tex1 = texture2D(textureMap1, vTexCoord.xy+uTexCoordShift);
	highp vec4 tex2 = texture2D(textureMap1, vTexCoord.xy+vec2(uTexCoordShift.y, uTexCoordShift.x) * 0.5);

	gl_FragColor.rgba = color * tex0;
	gl_FragColor.rgb = gl_FragColor.rgb + (tex1.rgb * tex1.a) * 0.05 + (tex2.rgb * tex2.a) * 0.05;
}
